<?php

namespace Teknisa\CTB\Services;

use Teknisa\CTB\Factories\Ctb89000PreValidacaoEcdFactory;
use Teknisa\Libs\Util\Environment;
use Doctrine\ORM\EntityManager;

class Ctb89000PreValidacaoEcdService {

    protected $entityManager;
    protected $environment;
    protected $preValidacaoEcdFactory;
    

    public function __construct(\Doctrine\ORM\EntityManager $entityManager, Environment $environment, Ctb89000PreValidacaoEcdFactory $preValidacaoEcdFactory) {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->PreValidacaoEcdFactory = $preValidacaoEcdFactory;
    }

    public function executaProcedure($row) {
        
        try{
            $cdempresa = $row[0];
            $ano = '01/01/'.$row[1];
            
            $retorno = $this->PreValidacaoEcdFactory->executaProcedure($cdempresa, $ano);
            //var_dump($retorno);die;
            return $retorno;
        }
        catch(\Exception $e) {
            throw $e;
        }
    }
    
}