<?php

namespace Teknisa\CTB\Services;

use Teknisa\CTB\Factories\ctb00003conciliacaofornecedoresxclientesFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class ctb00003conciliacaofornecedoresxclientesService {

    protected $entityManager;
    protected $environment;
    protected $nrorg;

    public function __construct($entityManager,$environment,$newCode, $factory) {
        $this->entityManager = $entityManager;
        $this->environment = $environment;
        $this->nrorg = $environment->getNrorgTrab();
        $this->newCode = $newCode;
        $this->factory = $factory;
    }

   

   function executaprocedure($row) {
      try {

        $connection = $this->entityManager->getConnection();
        $connection->beginTransaction();
        $cdempresa = $row[0]['value'];
        $cdcontini = $row[1]['value'];
        $cdcontfin = $row[2]['value'];
        $datainic = $row[3]['value'];
        $datafim = $row[4]['value'];
        $cdcontcome = 'T';
        $nrctbtemp = $this->geranovocodigo($row);
       //  var_dump ($cdempresa, $datainic, $datafim,$nrctbtemp, $cdcontini, $cdcontfin, $cdcontcome);die;
        $this->factory->executaProcedureFactory($cdempresa, $datainic, $datafim,$nrctbtemp,$cdcontcome, $cdcontini, $cdcontfin);
        
        
      }catch(\Exception $e) {
        return ($e->getMessage());
      }
      
      return $nrctbtemp;
    }
    
    public function insereConciliacao($nrorg, $nrctbtemp, $idpart, $documento){
        $conciliacao = $this->factory->insereConciliacao($nrorg, $nrctbtemp, $idpart, $documento);
        //var_dump($conciliacao);die;
    }
    
    public function updatedesconciliacao($nrorg, $nrctbtemp, $idpart, $documento){
        $conciliacao = $this->factory->updatedesconciliacao($nrorg, $nrctbtemp, $idpart, $documento);
        //var_dump($conciliacao);die;
    }
    
    function geranovocodigo($row){
         $nrorg = $this->environment->getNrOrgTrab();
         $nrctbtemp = $this->newCode->getCodeByTableName('CTBTEMP', $nrorg, 1, 6);
         return $nrctbtemp;
    }

}
